org.glassfish.jersey.server.model

## Class ResourceMethodInvoker.Builder

- java.lang.Object
- - org.glassfish.jersey.server.model.ResourceMethodInvoker.Builder

Enclosing class:
  ResourceMethodInvoker

    public static class ResourceMethodInvoker.Builder
    extends Object

Resource method invoker helper.

The builder API provides means for constructing a properly initialized `resource method invoker` instances.

### Constructor Summary

Constructors
Constructor and Description
`Builder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ResourceMethodInvoker` `build(ResourceMethod method, org.glassfish.jersey.server.internal.ProcessingProviders processingProviders)` Build a new resource method invoker instance.
`ResourceMethodInvoker.Builder` `configuration(jakarta.ws.rs.core.Configuration configuration)` Set global configuration.
`ResourceMethodInvoker.Builder` `configurationValidator(Supplier<org.glassfish.jersey.server.internal.inject.ConfiguredValidator> configurationValidator)` Set global configuration validator.
`ResourceMethodInvoker.Builder` `injectionManager(org.glassfish.jersey.internal.inject.InjectionManager injectionManager)` Set runtime DI injection manager.
`ResourceMethodInvoker.Builder` `resourceMethodDispatcherFactory(org.glassfish.jersey.server.model.internal.ResourceMethodDispatcherFactory resourceMethodDispatcherFactory)` Set resource method dispatcher factory.
`ResourceMethodInvoker.Builder` `resourceMethodInvocationHandlerFactory(org.glassfish.jersey.server.model.internal.ResourceMethodInvocationHandlerFactory resourceMethodInvocationHandlerFactory)` Set resource method invocation handler factory.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder()

### Method Detail

#### resourceMethodDispatcherFactory

    public ResourceMethodInvoker.Builder resourceMethodDispatcherFactory(org.glassfish.jersey.server.model.internal.ResourceMethodDispatcherFactory resourceMethodDispatcherFactory)

Set resource method dispatcher factory.

Parameters:
  `resourceMethodDispatcherFactory` - resource method dispatcher factory.
Returns:
  updated builder.

#### resourceMethodInvocationHandlerFactory

    public ResourceMethodInvoker.Builder resourceMethodInvocationHandlerFactory(org.glassfish.jersey.server.model.internal.ResourceMethodInvocationHandlerFactory resourceMethodInvocationHandlerFactory)

Set resource method invocation handler factory.

Parameters:
  `resourceMethodInvocationHandlerFactory` - resource method invocation handler factory.
Returns:
  updated builder.

#### injectionManager

    public ResourceMethodInvoker.Builder injectionManager(org.glassfish.jersey.internal.inject.InjectionManager injectionManager)

Set runtime DI injection manager.

Parameters:
  `injectionManager` - DI injection manager.
Returns:
  updated builder.

#### configuration

    public ResourceMethodInvoker.Builder configuration(jakarta.ws.rs.core.Configuration configuration)

Set global configuration.

Parameters:
  `configuration` - global configuration.
Returns:
  updated builder.

#### configurationValidator

    public ResourceMethodInvoker.Builder configurationValidator(Supplier<org.glassfish.jersey.server.internal.inject.ConfiguredValidator> configurationValidator)

Set global configuration validator.

Parameters:
  `configurationValidator` - configuration validator.
Returns:
  updated builder.

#### build

    public ResourceMethodInvoker build(ResourceMethod method,
                                       org.glassfish.jersey.server.internal.ProcessingProviders processingProviders)

Build a new resource method invoker instance.

Parameters:
  `method` - resource method model.
  `processingProviders` - Processing providers.
Returns:
  new resource method invoker instance.